<template>
  <v-card class="tway-card">
    <v-card-text class="black--text pb-0">
      <div class="tway-header-1">Los 5 servicios más demandados en Tway</div>
      <div class="caption mt-3">1 AL 31 de MAYO DE 2020</div>
    </v-card-text>
    <v-list>
      <v-subheader>
        <div class="ml-auto tway-body-text grey--text text--darken-1">
          BÚSQUEDAS
        </div>
      </v-subheader>
      <template v-for="(service, index) in top5Services">
        <v-divider
          :key="index"
          inset
          class="tway-violet-3"
          v-if="index !== 0"
        />
        <v-list-item :key="service.name">
          <v-list-item-avatar>
            <span class="text-center tway-headline-1 tway-purple--text">
              {{ index + 1 }}
            </span>
          </v-list-item-avatar>
          <v-list-item-content>
            <v-list-item-title class="text-left tway-body-text">
              {{ service.name }}
            </v-list-item-title>
          </v-list-item-content>
          <v-list-item-action>
            <div class="text-right font-weight-bold ml-auto">
              {{ service.searches }}
            </div>
          </v-list-item-action>
        </v-list-item>
      </template>
    </v-list>
  </v-card>
</template>

<script>
import top5Services from "@/utils/top5Services.json";

export default {
  name: "Top5Services",

  data: () => ({
    top5Services: [],
  }),

  created() {
    this.getTop5();
  },

  methods: {
    getTop5() {
      this.top5Services = top5Services;
    },
  },
};
</script>
